/********************************************************************
 * lindner
 * 3.3
 * 1995/02/07 08:37:38
 * /home/arcwelder/GopherSrc/CVS/gopher+/gopherd/serverutil.h,v
 * Exp
 *
 * Paul Lindner, University of Minnesota CIS.
 *
 * Copyright 1991, 1992 by the Regents of the University of Minnesota
 * see the file "Copyright" in the distribution for conditions of use.
 *********************************************************************
 * MODULE: serverutil.h
 * declarations of utility functions
 *********************************************************************
 * Revision History:
 * serverutil.h,v
 * Revision 3.3  1995/02/07  08:37:38  lindner
 * Rewrite of mailfile/multifile parsing
 *
 * Revision 3.2  1994/12/20  17:20:56  lindner
 * Put environment variable setter here..
 *
 * Revision 3.1  1993/06/22  07:06:58  lindner
 * New header file..
 *
 *
 *********************************************************************/

#ifndef G_SERVERUTIL_H
#define G_SERVERUTIL_H

typedef int Splittype;
#define SPLIT_MAIL -1
#define SPLIT_UNKNOWN -2

void    GplusError( /* sockfd, errclass, text, moretext */);
void    Abortoutput( /* sockfd, errmsg */);
boolean Setuid_username( /*username */);
void    inet_netnames(/* sockfd, host_name, ipnum*/);
int     is_mail_from_line( /* line */);
char    *mtm_basename( /* string */);
boolean Cachetimedout();
boolean isadir();
void    SetEnvironmentVariable();
Splittype is_multipartfile();
#endif
